osg::CullSettings::ClampProjectionMatrixCallback Struct Referenceabstract

`#include <CullSettings>`

Inheritance diagram for osg::CullSettings::ClampProjectionMatrixCallback:

## Public Member Functions

virtual bool | clampProjectionMatrixImplementation (osg::Matrixf &projection, double &znear, double &zfar) const =0
virtual bool | clampProjectionMatrixImplementation (osg::Matrixd &projection, double &znear, double &zfar) const =0
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Detailed Description

Callback for overriding the CullVisitor's default clamping of the projection matrix to computed near and far values. Note, both Matrixf and Matrixd versions of clampProjectionMatrixImplementation must be implemented as the CullVisitor can target either Matrix data type, configured at compile time.

## Member Function Documentation

## clampProjectionMatrixImplementation() [1/2]

virtual bool osg::CullSettings::ClampProjectionMatrixCallback::clampProjectionMatrixImplementation | ( | osg::Matrixd & | projection,
|  | double & | znear,
|  | double & | zfar ) const

pure virtual

## clampProjectionMatrixImplementation() [2/2]

virtual bool osg::CullSettings::ClampProjectionMatrixCallback::clampProjectionMatrixImplementation | ( | osg::Matrixf & | projection,
|  | double & | znear,
|  | double & | zfar ) const

pure virtual

The documentation for this struct was generated from the following file:

- CullSettings